/// <reference types="node" />
export declare abstract class Entity {
    constructor(id: string, name: string, distributed?: boolean, stateLocked?: boolean);
    readonly id: string;
    name: string;
    state: string | number | boolean | Buffer;
    attributes: {
        [key: string]: any;
    };
    readonly distributed: boolean;
    readonly stateLocked: boolean;
}
