import { Entity } from './entity.dto';
import { EntitiesEventEmitter } from './entities.events';
export declare class EntityProxyHandler implements ProxyHandler<Entity> {
    private readonly emitter;
    private readonly hasAuthorityOver;
    private diff;
    private target?;
    private flushTimeout?;
    constructor(emitter: EntitiesEventEmitter, hasAuthorityOver: (entity: Entity) => boolean);
    get(target: Entity, p: PropertyKey): any;
    set(target: Entity, p: PropertyKey, value: any): boolean;
    private emitEntityUpdate;
    private flushEntityUpdates;
}
