declare class BluetoothClassicEntityOverride {
    id?: string;
    name?: string;
}
export declare class BluetoothClassicConfig {
    addresses: string[];
    minRssi?: number | {
        [macAddress: string]: number;
    };
    rssiFactor: number;
    hciDeviceId: number;
    interval: number;
    scanTimeLimit: number;
    timeoutCycles: number;
    preserveState: boolean;
    inquireFromStart: boolean;
    entityOverrides: {
        [entityId: string]: BluetoothClassicEntityOverride;
    };
}
export {};
