declare class TagOverride {
    id?: string;
    name?: string;
    measuredPower?: number;
    batteryMask?: number;
}
export declare class BluetoothLowEnergyConfig {
    hciDeviceId: number;
    whitelist: string[];
    whitelistRegex: boolean;
    allowlist: string[];
    allowlistRegex: boolean;
    blacklist: string[];
    blacklistRegex: boolean;
    denylist: string[];
    denylistRegex: boolean;
    processIBeacon: boolean;
    onlyIBeacon: boolean;
    majorMask: number;
    minorMask: number;
    batteryMask: number;
    tagOverrides: {
        [entityId: string]: TagOverride;
    };
    timeout: number;
    updateFrequency: number;
    rssiFactor: number;
    maxDistance?: number;
    minDiscoveryLogRssi: number;
}
export {};
