import { EntityConfig } from './entity-config';
export declare class BinarySensorConfig extends EntityConfig {
    payloadOn: string;
    payloadOff: string;
    deviceClass?: BinarySensorDeviceClass;
    constructor(id: string, name: string);
}
export declare enum BinarySensorDeviceClass {
    BATTERY = "battery",
    COLD = "cold",
    CONNECTIVITY = "connectivity",
    DOOR = "door",
    GARAGE_DOOR = "garage_door",
    GAS = "gas",
    HEAT = "heat",
    LIGHT = "light",
    LOCK = "lock",
    MOISTURE = "moisture",
    MOTION = "motion",
    MOVING = "moving",
    OCCUPANCY = "occupancy",
    OPENING = "opening",
    PLUG = "plug",
    POWER = "power",
    PRESENCE = "presence",
    PROBLEM = "problem",
    SAFETY = "safety",
    SMOKE = "smoke",
    SOUND = "sound",
    VIBRATION = "vibration",
    WINDOW = "window"
}
