"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var HomeAssistantModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const home_assistant_service_1 = require("./home-assistant.service");
const config_module_1 = require("../../config/config.module");
const entities_module_1 = require("../../entities/entities.module");
const status_module_1 = require("../../status/status.module");
const home_assistant_health_1 = require("./home-assistant.health");
const cluster_module_1 = require("../../cluster/cluster.module");
const schedule_1 = require("@nestjs/schedule");
let HomeAssistantModule = HomeAssistantModule_1 = class HomeAssistantModule {
    static forRoot() {
        return {
            module: HomeAssistantModule_1,
            imports: [
                config_module_1.ConfigModule,
                entities_module_1.EntitiesModule,
                cluster_module_1.ClusterModule,
                status_module_1.StatusModule,
                schedule_1.ScheduleModule.forRoot(),
            ],
            providers: [home_assistant_service_1.HomeAssistantService, home_assistant_health_1.HomeAssistantHealthIndicator],
        };
    }
};
HomeAssistantModule = HomeAssistantModule_1 = __decorate([
    (0, common_1.Module)({})
], HomeAssistantModule);
exports.default = HomeAssistantModule;
//# sourceMappingURL=home-assistant.module.js.map