import { EntityConfig } from './entity-config';
export declare class SwitchConfig extends EntityConfig {
    readonly payloadOn = "on";
    readonly payloadOff = "off";
    readonly stateOn = "true";
    readonly stateOff = "false";
    icon?: string;
    commandTopic: string;
    commandStore: {
        [key in 'on' | 'off']: () => undefined;
    };
    constructor(id: string, name: string, onCallback?: () => undefined, offCallback?: () => undefined);
}
