"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var MqttModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const config_module_1 = require("../../config/config.module");
const entities_module_1 = require("../../entities/entities.module");
const status_module_1 = require("../../status/status.module");
const mqtt_service_1 = require("./mqtt.service");
const cluster_module_1 = require("../../cluster/cluster.module");
let MqttModule = MqttModule_1 = class MqttModule {
    static forRoot() {
        return {
            module: MqttModule_1,
            imports: [config_module_1.ConfigModule, entities_module_1.EntitiesModule, cluster_module_1.ClusterModule, status_module_1.StatusModule],
            providers: [mqtt_service_1.MqttService],
        };
    }
};
MqttModule = MqttModule_1 = __decorate([
    (0, common_1.Module)({})
], MqttModule);
exports.default = MqttModule;
//# sourceMappingURL=mqtt.module.js.map