import { BluetoothLowEnergyConfig } from './integrations/bluetooth-low-energy/bluetooth-low-energy.config';
import { ClusterConfig } from './cluster/cluster.config';
import { GlobalConfig } from './config/global.config';
import { HomeAssistantConfig } from './integrations/home-assistant/home-assistant.config';
import { OmronD6tConfig } from './integrations/omron-d6t/omron-d6t.config';
import { GridEyeConfig } from './integrations/grid-eye/grid-eye.config';
import { BluetoothClassicConfig } from './integrations/bluetooth-classic/bluetooth-classic.config';
import { GpioConfig } from './integrations/gpio/gpio.config';
import { ShellConfig } from './integrations/shell/shell.config';
import { XiaomiMiConfig } from './integrations/xiaomi-mi/xiaomi-mi.config';
import { EntitiesConfig } from './entities/entities.config';
import { LoggerConfig } from './config/logger.config';
import { MqttConfig } from './integrations/mqtt/mqtt.config';
export declare class AppConfig {
    global: GlobalConfig;
    logger: LoggerConfig;
    cluster: ClusterConfig;
    entities: EntitiesConfig;
    bluetoothLowEnergy: BluetoothLowEnergyConfig;
    bluetoothClassic: BluetoothClassicConfig;
    omronD6t: OmronD6tConfig;
    gridEye: GridEyeConfig;
    gpio: GpioConfig;
    shell: ShellConfig;
    xiaomiMi: XiaomiMiConfig;
    homeAssistant: HomeAssistantConfig;
    mqtt: MqttConfig;
}
