"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppConfig = void 0;
const bluetooth_low_energy_config_1 = require("./integrations/bluetooth-low-energy/bluetooth-low-energy.config");
const cluster_config_1 = require("./cluster/cluster.config");
const global_config_1 = require("./config/global.config");
const home_assistant_config_1 = require("./integrations/home-assistant/home-assistant.config");
const omron_d6t_config_1 = require("./integrations/omron-d6t/omron-d6t.config");
const grid_eye_config_1 = require("./integrations/grid-eye/grid-eye.config");
const bluetooth_classic_config_1 = require("./integrations/bluetooth-classic/bluetooth-classic.config");
const gpio_config_1 = require("./integrations/gpio/gpio.config");
const shell_config_1 = require("./integrations/shell/shell.config");
const xiaomi_mi_config_1 = require("./integrations/xiaomi-mi/xiaomi-mi.config");
const entities_config_1 = require("./entities/entities.config");
const logger_config_1 = require("./config/logger.config");
const mqtt_config_1 = require("./integrations/mqtt/mqtt.config");
const jf = __importStar(require("joiful"));
class AppConfig {
    constructor() {
        this.global = new global_config_1.GlobalConfig();
        this.logger = new logger_config_1.LoggerConfig();
        this.cluster = new cluster_config_1.ClusterConfig();
        this.entities = new entities_config_1.EntitiesConfig();
        this.bluetoothLowEnergy = new bluetooth_low_energy_config_1.BluetoothLowEnergyConfig();
        this.bluetoothClassic = new bluetooth_classic_config_1.BluetoothClassicConfig();
        this.omronD6t = new omron_d6t_config_1.OmronD6tConfig();
        this.gridEye = new grid_eye_config_1.GridEyeConfig();
        this.gpio = new gpio_config_1.GpioConfig();
        this.shell = new shell_config_1.ShellConfig();
        this.xiaomiMi = new xiaomi_mi_config_1.XiaomiMiConfig();
        this.homeAssistant = new home_assistant_config_1.HomeAssistantConfig();
        this.mqtt = new mqtt_config_1.MqttConfig();
    }
}
__decorate([
    (jf.object().required()),
    __metadata("design:type", global_config_1.GlobalConfig)
], AppConfig.prototype, "global", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", logger_config_1.LoggerConfig)
], AppConfig.prototype, "logger", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", cluster_config_1.ClusterConfig)
], AppConfig.prototype, "cluster", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", entities_config_1.EntitiesConfig)
], AppConfig.prototype, "entities", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", bluetooth_low_energy_config_1.BluetoothLowEnergyConfig)
], AppConfig.prototype, "bluetoothLowEnergy", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", bluetooth_classic_config_1.BluetoothClassicConfig)
], AppConfig.prototype, "bluetoothClassic", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", omron_d6t_config_1.OmronD6tConfig)
], AppConfig.prototype, "omronD6t", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", grid_eye_config_1.GridEyeConfig)
], AppConfig.prototype, "gridEye", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", gpio_config_1.GpioConfig)
], AppConfig.prototype, "gpio", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", shell_config_1.ShellConfig)
], AppConfig.prototype, "shell", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", xiaomi_mi_config_1.XiaomiMiConfig)
], AppConfig.prototype, "xiaomiMi", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", home_assistant_config_1.HomeAssistantConfig)
], AppConfig.prototype, "homeAssistant", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", mqtt_config_1.MqttConfig)
], AppConfig.prototype, "mqtt", void 0);
exports.AppConfig = AppConfig;
//# sourceMappingURL=app.config.js.map