import { Sensor } from '../../entities/sensor';
export declare const STATE_HOME = "home";
export declare const STATE_NOT_HOME = "not_home";
declare class TimedDistance {
    distance: number;
    outOfRange: boolean;
    lastUpdatedAt: Date;
    constructor(distance: number, outOfRange?: boolean);
}
export declare class RoomPresenceDistanceSensor extends Sensor {
    timeout: number;
    distances: {
        [instance: string]: TimedDistance;
    };
    constructor(id: string, name: string, timeout: number);
    handleNewDistance(instanceName: string, distance: number, outOfRange?: boolean): void;
    updateState(): void;
    protected getClosestInRange(): [string, TimedDistance];
    protected setNotHome(): void;
}
export {};
