import { RoomPresenceDistanceSensor } from './room-presence-distance.sensor';
import { DeviceTracker } from '../../entities/device-tracker';
import { Sensor } from '../../entities/sensor';
export declare class RoomPresenceProxyHandler implements ProxyHandler<RoomPresenceDistanceSensor> {
    private readonly deviceTracker;
    private readonly batterySensor?;
    constructor(deviceTracker: DeviceTracker, batterySensor?: Sensor);
    set(target: RoomPresenceDistanceSensor, p: PropertyKey, value: any): boolean;
}
