"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var BluetoothClassicModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const bluetooth_classic_service_1 = require("./bluetooth-classic.service");
const config_module_1 = require("../../config/config.module");
const entities_module_1 = require("../../entities/entities.module");
const cluster_module_1 = require("../../cluster/cluster.module");
const bluetooth_module_1 = require("../../integration-support/bluetooth/bluetooth.module");
let BluetoothClassicModule = BluetoothClassicModule_1 = class BluetoothClassicModule {
    static forRoot() {
        return {
            module: BluetoothClassicModule_1,
            imports: [bluetooth_module_1.BluetoothModule, config_module_1.ConfigModule, entities_module_1.EntitiesModule, cluster_module_1.ClusterModule],
            providers: [bluetooth_classic_service_1.BluetoothClassicService],
        };
    }
};
BluetoothClassicModule = BluetoothClassicModule_1 = __decorate([
    (0, common_1.Module)({})
], BluetoothClassicModule);
exports.default = BluetoothClassicModule;
//# sourceMappingURL=bluetooth-classic.module.js.map