import { Tag } from './tag';
import { Peripheral } from '@mkerix/noble';
export declare class IBeacon extends Tag {
    constructor(peripheral: Peripheral, majorMask?: number, minorMask?: number, batteryMask?: number);
    uuid: string;
    major: number;
    minor: number;
    batteryMask: number;
    private _rawMajorMinor;
    set id(id: string);
    get id(): string;
    get batteryLevel(): number | undefined;
}
