"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GpioSwitch = void 0;
const switch_1 = require("../../entities/switch");
class GpioSwitch extends switch_1.Switch {
    constructor(id, name, gpio) {
        super(id, name, false);
        this.gpio = gpio;
    }
    async turnOn() {
        await this.gpio.write(1);
        super.turnOn();
    }
    async turnOff() {
        await this.gpio.write(0);
        super.turnOff();
    }
}
exports.GpioSwitch = GpioSwitch;
//# sourceMappingURL=gpio.switch.js.map