"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MqttConfig = exports.MQTTOptionConfig = exports.mqttScheme = void 0;
const jf = __importStar(require("joiful"));
exports.mqttScheme = {
    scheme: ['mqtt', 'mqtts', 'tcp', 'tls', 'ws', 'wss'],
};
class MQTTOptionConfig {
    constructor() {
        this.rejectUnauthorized = true;
    }
}
__decorate([
    (jf.string().optional()),
    __metadata("design:type", String)
], MQTTOptionConfig.prototype, "username", void 0);
__decorate([
    (jf.string().optional()),
    __metadata("design:type", String)
], MQTTOptionConfig.prototype, "password", void 0);
__decorate([
    (jf.boolean().required()),
    __metadata("design:type", Boolean)
], MQTTOptionConfig.prototype, "rejectUnauthorized", void 0);
exports.MQTTOptionConfig = MQTTOptionConfig;
class MqttConfig {
    constructor() {
        this.mqttUrl = 'mqtt://localhost:1883';
        this.mqttOptions = new MQTTOptionConfig();
        this.baseTopic = 'room-assistant/entity';
        this.qos = 0;
        this.retain = false;
    }
}
__decorate([
    (jf.string().uri(exports.mqttScheme).required()),
    __metadata("design:type", Object)
], MqttConfig.prototype, "mqttUrl", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", MQTTOptionConfig)
], MqttConfig.prototype, "mqttOptions", void 0);
__decorate([
    (jf.string().required()),
    __metadata("design:type", Object)
], MqttConfig.prototype, "baseTopic", void 0);
__decorate([
    (jf.number().valid([0, 1, 2]).required()),
    __metadata("design:type", Number)
], MqttConfig.prototype, "qos", void 0);
__decorate([
    (jf.boolean().required()),
    __metadata("design:type", Object)
], MqttConfig.prototype, "retain", void 0);
exports.MqttConfig = MqttConfig;
//# sourceMappingURL=mqtt.config.js.map